summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Fernando Giannasi <phoemur@gmail.com>2013-07-28 12:31:01 -0500
committer Erik Hanson <erik@slackbuilds.org>2013-10-12 14:38:03 -0500
commit91038097353a246e842e931cd979f75d9da3b940 (patch)
tree317f2d8c7f2ed09414e9ef2d18ec63f33345570c
parent5b6001da4905fe1ee47c4a39d730c2aa44a98b57 (diff)
downloadslackbuilds-91038097353a246e842e931cd979f75d9da3b940.tar.gz
slackbuilds-91038097353a246e842e931cd979f75d9da3b940.tar.xz
games/worldofpadman: Added (Funny Open-source first-person shooter game)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--games/worldofpadman/README9
-rw-r--r--games/worldofpadman/doinst.sh9
-rw-r--r--games/worldofpadman/slack-desc19
-rw-r--r--games/worldofpadman/worldofpadman.SlackBuild111
-rw-r--r--games/worldofpadman/worldofpadman.desktop8
-rw-r--r--games/worldofpadman/worldofpadman.info10
6 files changed, 166 insertions, 0 deletions
diff --git a/games/worldofpadman/README b/games/worldofpadman/README
new file mode 100644
index 0000000000..c92140fcbd
--- /dev/null
+++ b/games/worldofpadman/README
@@ -0,0 +1,9 @@
+World of Padman (WoP) is an open source first-person shooter video game
+available in both English and German. Originally it was a modification for the
+game Quake III Arena titled PadMod created in the year 2004. After the source
+code for Quake III Arena was released, the game became standalone.[1] The idea
+is based on the Padman comic strip for the magazine PlayStation Games created
+by the professional cartoon artist Andreas 'ENTE' (German for "Duck") Endres,
+who is also the man who made many of the maps included with the game in 1998.
+The current version runs on an enhanced version of the ioquake3 engine, which
+is based on the Quake III Arena engine.
diff --git a/games/worldofpadman/doinst.sh b/games/worldofpadman/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/games/worldofpadman/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/worldofpadman/slack-desc b/games/worldofpadman/slack-desc
new file mode 100644
index 0000000000..bb847298e6
--- /dev/null
+++ b/games/worldofpadman/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+worldofpadman: worldofpadman (Funny Open-source first-person shooter game)
+worldofpadman:
+worldofpadman: World of Padman (WoP) is an open source first-person shooter video
+worldofpadman: game available in both English and German. Originally it was a
+worldofpadman: modification for the game Quake III Arena titled PadMod created in
+worldofpadman: the year 2004. After the source code for Quake III Arena was
+worldofpadman: released, the game became standalone.[1] The idea is based on the
+worldofpadman: Padman comic strip for the magazine PlayStation Games created by the
+worldofpadman: professional cartoon artist Andreas 'ENTE' (German for Duck).
+worldofpadman:
+worldofpadman:
diff --git a/games/worldofpadman/worldofpadman.SlackBuild b/games/worldofpadman/worldofpadman.SlackBuild
new file mode 100644
index 0000000000..bc83268441
--- /dev/null
+++ b/games/worldofpadman/worldofpadman.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/sh
+
+# Slackware build script for worldofpadman
+
+# Copyright 2013 - Fernando Giannasi - São Paulo - Brasil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=worldofpadman
+VERSION=${VERSION:-1.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+SRCVER=${SRCVER:-1.5}
+PATCHVER=$VERSION
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i386 ;;
+ x86_64) ARCH=x86_64 ;;
+ *) echo "Architecture $(uname -m) not suported" && exit 1 ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# No flags/configure needed as it is just a binary repackaging.
+
+set -e # Exit on most errors.
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+mkdir -p $PKG/opt/$PRGNAM
+cd $PKG/opt/$PRGNAM
+unzip $CWD/*$SRCVER-unified.zip
+
+# Patch the new version if available
+if [ -f $CWD/*$PATCHVER-patch-unified.zip ]; then
+ unzip -o $CWD/*$PATCHVER-patch-unified.zip
+else
+ VERSION=$SRCVER
+fi
+
+cd $PKG
+chown -R root:root .
+
+# Fix permissions
+find . -type d -exec chmod 0755 {} \;
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+find ./opt/ -type f -name *.i386 -exec chmod +x {} \;
+find ./opt/ -type f -name *.x86_64 -exec chmod +x {} \;
+
+# Copy icons to /usr/share/icons
+mkdir -p $PKG/usr/share/icons/hicolor/32x32/apps
+install -D $PKG/opt/$PRGNAM/XTRAS/*.ico \
+ $PKG/usr/share/icons/hicolor/32x32/apps
+convert $PKG/usr/share/icons/hicolor/32x32/apps/wop.ico \
+ $PKG/usr/share/icons/hicolor/32x32/apps/wop.png
+
+# Install a .desktop launcher:
+mkdir -p $PKG/usr/share/applications
+cat $CWD/worldofpadman.desktop > $PKG/usr/share/applications/worldofpadman.desktop
+
+# Let's take care of documentation
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/editing\ files
+cp -r $PKG/opt/$PRGNAM/XTRAS/readme/* $PKG/usr/doc/$PRGNAM-$VERSION
+cp -r $PKG/opt/$PRGNAM/XTRAS/editing\ files/* $PKG/usr/doc/$PRGNAM-$VERSION/editing\ files
+cp $PKG/opt/$PRGNAM/XTRAS/*.txt $PKG/usr/doc/$PRGNAM-$VERSION
+
+# Create symlinks
+case $ARCH in
+ i386)
+ ln -s /opt/worldofpadman/wop.i386 $PKG/opt/worldofpadman/padman
+ ln -s /opt/worldofpadman/wopded.i386 $PKG/opt/worldofpadman/wopded
+ ;;
+ x86_64)
+ ln -s /opt/worldofpadman/wop.x86_64 $PKG/opt/worldofpadman/padman
+ ln -s /opt/worldofpadman/wopded.x86_64 $PKG/opt/worldofpadman/wopded
+ ;;
+esac
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Pack it all
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/worldofpadman/worldofpadman.desktop b/games/worldofpadman/worldofpadman.desktop
new file mode 100644
index 0000000000..1d1d1c1dca
--- /dev/null
+++ b/games/worldofpadman/worldofpadman.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=World of Padman
+Comment=Open-source first-person shooter game
+Exec=/opt/worldofpadman/padman
+Icon=/usr/share/icons/hicolor/32x32/apps/wop.png
+Terminal=false
+Type=Application
+Categories=Qt;KDE;Game;
diff --git a/games/worldofpadman/worldofpadman.info b/games/worldofpadman/worldofpadman.info
new file mode 100644
index 0000000000..c9f7574cac
--- /dev/null
+++ b/games/worldofpadman/worldofpadman.info
@@ -0,0 +1,10 @@
+PRGNAM="worldofpadman"
+VERSION="1.6"
+HOMEPAGE="http://worldofpadman.net/"
+DOWNLOAD="http://downloads.sourceforge.net/project/worldofpadman/wop-1.5-unified.zip http://downloads.sourceforge.net/project/worldofpadman/wop-1.5.x-to-1.6-patch-unified.zip"
+MD5SUM="8871affc2a36f23aa22044454c834923 86ab95804ec6b1f0c81078f083c0fcda"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Fernando Giannasi"
+EMAIL="phoemur@gmail.com"